> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.upwardli.com/api-access/api-reference/bill-pay/get-bill-payment/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.upwardli.com/_mcp/server. # Get Bill Payment GET https://api.upwardli.com/v2/bill-pay/bills/{external_id}/payments/{bill_payment_id}/ Get a specific Bill Payment by ID. Reference: https://developers.upwardli.com/api-access/api-reference/bill-pay/get-bill-payment ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.upwardli.com` (Production, default) - `https://api-sandbox.upwardli.com` (Sandbox) ## Request ### Path parameters - `external_id` (string, required) - `bill_payment_id` (string, required) ## Response ### 200 - `id` (string, required) - `amount` (string, required) - `process_date` (string, required) - `description` (string, optional, nullable) - `payment_rail` (string, optional, nullable) - `status` (string, optional) ## Examples **Response** ```json { "id": "string", "amount": "string", "process_date": "2023-01-15", "description": "string", "payment_rail": "string", "status": "string" } ``` **SDK Code** ```python import requests url = "https://api.upwardli.com/v2/bill-pay/bills/external_id/payments/bill_payment_id/" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.upwardli.com/v2/bill-pay/bills/external_id/payments/bill_payment_id/'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.upwardli.com/v2/bill-pay/bills/external_id/payments/bill_payment_id/" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.upwardli.com/v2/bill-pay/bills/external_id/payments/bill_payment_id/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.upwardli.com/v2/bill-pay/bills/external_id/payments/bill_payment_id/") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.upwardli.com/v2/bill-pay/bills/external_id/payments/bill_payment_id/', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.upwardli.com/v2/bill-pay/bills/external_id/payments/bill_payment_id/"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.upwardli.com/v2/bill-pay/bills/external_id/payments/bill_payment_id/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```